For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update WordPress themes

Update one or more installed themes to their latest version on a WordPress installation.

Update WordPress themes

post

Update one or more installed themes to their latest version on a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the update job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
themesstring[] · min: 1 · max: 20Required

Slugs of the installed themes to update to their latest version.

Example: ["twentytwenty","twentytwentyone"]
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/themes/update
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/themes/update HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "themes": [
    "twentytwenty",
    "twentytwentyone"
  ]
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?